### Constructor

# Gtk Builder new_from_string

#### Declaration [src]

    GtkBuilder*
    gtk_builder_new_from_string (
      const char* string,
      gssize length
    )

#### Description [src]

Parses the UI definition in `string`.

If `string` is `NULL`-terminated, then `length` should be -1. If `length` is not -1, then it is the length of `string`.

If there is an error parsing `string` then the program will be aborted. You should not attempt to parse user interface description from untrusted sources.

#### Parameters

`string` | `const char*`
| A user interface (XML) description.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`length` | `gssize`
| The length of `string`, or -1.

#### Return value

Returns: | `GtkBuilder`
| A `GtkBuilder` containing the interface described by `string`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.